Bug 442578 - selinux preventing pm-hibernate
selinux preventing pm-hibernate
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-15 12:44 EDT by chris snow
Modified: 2008-04-15 14:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-15 14:52:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description chris snow 2008-04-15 12:44:59 EDT
From setroubleshoot browser:


SELinux is preventing pm-hibernate (hald_t) "getattr" to
/var/run/pm-utils/locks/pm-utils.lock (var_run_t).

Detailed Description:

SELinux denied access requested by pm-hibernate. It is not expected that this
access is required by pm-hibernate and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

Sometimes labeling problems can cause SELinux denials. You could try to restore
the default system file context for /var/run/pm-utils/locks/pm-utils.lock,

restorecon -v '/var/run/pm-utils/locks/pm-utils.lock'

If this does not work, there is currently no automatic way to allow this access.
Instead, you can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Or you can disable
SELinux protection altogether. Disabling SELinux protection is not recommended.
Please file a bug report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi)
against this package.

Additional Information:

Source Context                system_u:system_r:hald_t:s0
Target Context                system_u:object_r:var_run_t:s0
Target Objects                /var/run/pm-utils/locks/pm-utils.lock [ file ]
Source                        pm-suspend
Source Path                   /bin/bash
Port                          <Unknown>
Host                          // hidden //
Source RPM Packages           bash-3.2-22.fc9
Target RPM Packages           
Policy RPM                    selinux-policy-3.3.1-33.fc9
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall_file
Host Name                     // hidden //
Platform                      Linux // hidden //
                              2.6.25-0.218.rc8.git7.fc9.i686 #1 SMP Wed Apr 9
                              20:35:56 EDT 2008 i686 i686
Alert Count                   4
First Seen                    Sat 12 Apr 2008 09:57:27 BST
Last Seen                     Sun 13 Apr 2008 02:48:11 BST
Local ID                      25a68f17-cd0a-4c5c-8429-59b27c7e1aff
Line Numbers                  

Raw Audit Messages            

host=// hidden // type=AVC msg=audit(1208051291.180:90): avc:  denied  { getattr
} for  pid=12520 comm="pm-hibernate"
path="/var/run/pm-utils/locks/pm-utils.lock" dev=dm-1 ino=3604500
scontext=system_u:system_r:hald_t:s0 tcontext=system_u:object_r:var_run_t:s0

host=// hidden // type=SYSCALL msg=audit(1208051291.180:90): arch=40000003
syscall=195 success=no exit=-13 a0=8ca6d60 a1=bf891458 a2=557ff4 a3=8ca6d60
items=0 ppid=12517 pid=12520 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0
egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="pm-hibernate"
exe="/bin/bash" subj=system_u:system_r:hald_t:s0 key=(null)
Comment 3 Daniel Walsh 2008-04-15 14:52:16 EDT
Fixed in selinux-policy-3.3.1-35.fc9

Note You need to log in before you can comment on or make changes to this bug.